DV4LSTART(1)

NAME
dv4lstart - redirect V4L API to access a camcorder from a V4L program

SYNOPSIS
dvlstart [options] command [argument ...]

DESCRIPTION
dv4lstart enables command to access a dv1394 (Firewire) camcorder by using the video4linux (V4L) API. dv4lstart uses the LD_PRELOAD facility to intercept calls to the V4L API and make the camcorder's videostream available.

Check that LD_PRELOAD works in your environment by starting

$ dv4lstart ls -l /dev/video0

The resulting output should look like

crw-rw---- 0 root video 81, 0 Jan 1 1970 /dev/video0

Check your 1394 driver config by starting

$ gst-launch-0.10 dv1394src \! dvdemux \! dvdec \! xvimagesink

from your shell. After turning on your camera, a video window should appear. If this works, dv4lstart should work as well.

Inside command, use /dev/video0. Any existing, real V4L device named /dev/video0 can not be accessed from an application started with dv4lstart (applications started normally can access the real /dev/video0)

OPTIONS

-c, --color-correction
    Set this option if red objects look blue.

-n, --new-dev
    Tell dv4lstart to simulate a new video device rather than overriding /dev/video0. Set this option if your application needs to access other video devices.

-r, --rgb-only
    Set this option to prevent V4L applications from choosing YUV palettes. Try this option if you get low frame rates.

-v, --verbose level
    Set the amount of debugging messages. A level of 0 means no output at all, 1 is the default, 3 enables all messages.

-h, --help
    displays a help message

EXAMPLES
The command

$ dv4lstart v4l-info

outputs some information about the simulated V4L device.

$ dv4lstart -c gqcam -v /dev/video0

starts the gqcam webcam viewer, swapping red and blue colors.

LIMITATIONS
Programs using exotic ways to access the V4L API will not work.

Some environments don't allow the use of LD_PRELOAD for security reasons. dv4lstart will not work there.

If dv4lstart does not work, try dv4l instead.

SEE ALSO
dv4l(1)